// vim: set tw=80 ts=4 sw=4 sts=4:
/*
    This file is part of Accountant.

    Accountant is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Accountant is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with Accountant.  If not, see <http://www.gnu.org/licenses/>.
 */
/* jshint node: true */
'use strict';

var moment = require('moment');

var angular = require('angular');

var ngResource       = require('angular-resource'),
    ngMessages       = require('angular-messages'),
    ngUiNotification = require('angular-ui-notification'),
    ngStrap          = require('angular-strap');

var balanceChartModule  = require('./balance-chart.component'),
    categoryChartModule = require('./category-chart.component');

import accountModule from '@accountant/accounts';

var OperationFactory = require('./operation.factory');
var OperationConfig = require('./operation.config');
var OperationController = require('./operation.controller');

export default angular.module('accountant.operations', [
    ngResource,
    ngMessages,
    ngUiNotification,
    ngStrap,
    accountModule,
    balanceChartModule,
    categoryChartModule
])

    .config(OperationConfig)

    .factory('Operation', OperationFactory)

    .controller('OperationController', OperationController)

    .name;
